org.wildfly.swarm.datasources

## Class DatasourcesFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Datasources<DatasourcesFraction>
      - - org.wildfly.swarm.datasources.DatasourcesFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<DatasourcesFraction>

      public class DatasourcesFraction
      extends Datasources<DatasourcesFraction>
      implements Fraction<DatasourcesFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Datasources

      `Datasources.DatasourcesResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatasourcesFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatasourcesFraction` | `dataSource(DataSource value)` Add the DataSource object to the list of subresources
    `DatasourcesFraction` | `jdbcDriver(String childKey, JDBCDriverConsumer consumer)` Create and configure a JDBCDriver object to the list of subresources

    - ### Methods inherited from class org.wildfly.swarm.config.Datasources

      `addPropertyChangeListener, dataSource, dataSource, dataSource, dataSources, getKey, installedDriver, installedDrivers, installedDrivers, installedDrivers, jdbcDriver, jdbcDriver, jdbcDriver, jdbcDrivers, removePropertyChangeListener, subresources, xaDataSource, xaDataSource, xaDataSource, xaDataSource, xaDataSources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### DatasourcesFraction

          public DatasourcesFraction()

  - ### Method Detail

    - #### dataSource

          public DatasourcesFraction dataSource(DataSource value)

      Description copied from class: `Datasources`
      Add the DataSource object to the list of subresources
      Overrides:
        `dataSource` in class `Datasources<DatasourcesFraction>`
      Parameters:
        `value` - The DataSource to add
      Returns:
        this

    - #### jdbcDriver

          public DatasourcesFraction jdbcDriver(String childKey,
                                                JDBCDriverConsumer consumer)

      Description copied from class: `Datasources`
      Create and configure a JDBCDriver object to the list of subresources
      Overrides:
        `jdbcDriver` in class `Datasources<DatasourcesFraction>`
      Returns:
        this

Copyright © 2017 JBoss by Red Hat. All rights reserved.